Debian Bug report logs - #405360
erlang: license of RSA derived sources should be documented

version graph

Package: erlang; Maintainer for erlang is Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>; Source for erlang is src:erlang.

Reported by: Tollef Fog Heen <tfheen@err.no>

Date: Tue, 2 Jan 2007 21:48:22 UTC

Severity: important

Fixed in version erlang/1:11.b.3-1

Done: Torsten Werner <twerner@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Erlang Packagers <erlang-pkg-devel@lists.berlios.de>:
Bug#405360; Package erlang. Full text and rfc822 format available.

Acknowledgement sent to Tollef Fog Heen <tfheen@err.no>:
New Bug report received and forwarded. Copy sent to Erlang Packagers <erlang-pkg-devel@lists.berlios.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@err.no>
To: submit@bugs.debian.org
Subject: erlang: contains non-free files
Date: Tue, 02 Jan 2007 22:46:01 +0100
Package: erlang
Severity: serious
Justification: contains non-free files

lib/erl_interface/src/misc/md5.c in the erlang source package contains 
code where no right is given to distribute derivative works.  See 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=340538 for a similar 
bug with some suggested alternative implementations.

- tfheen



Information forwarded to debian-bugs-dist@lists.debian.org, Erlang Packagers <erlang-pkg-devel@lists.berlios.de>:
Bug#405360; Package erlang. Full text and rfc822 format available.

Acknowledgement sent to "Sergei Golovan" <sgolovan@nes.ru>:
Extra info received and forwarded to list. Copy sent to Erlang Packagers <erlang-pkg-devel@lists.berlios.de>. Full text and rfc822 format available.

Message #10 received at 405360@bugs.debian.org (full text, mbox):

From: "Sergei Golovan" <sgolovan@nes.ru>
To: "Tollef Fog Heen" <tfheen@err.no>, 405360@bugs.debian.org
Subject: Re: Bug#405360: erlang: contains non-free files
Date: Wed, 3 Jan 2007 02:38:15 +0300
On 1/3/07, Tollef Fog Heen <tfheen@err.no> wrote:
> lib/erl_interface/src/misc/md5.c in the erlang source package contains
> code where no right is given to distribute derivative works.  See
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=340538 for a similar
> bug with some suggested alternative implementations.

I've sent email to upstream authors with a question about the license.
Unfortunately, the email address rsaref@rsa.com, which is mentioned in
RFC 1321, and which sould be used for questions about RSA referense
implementations, doesn't work anymore.

BTW, I suspect that very many sowtware products use this reference
implementations of MD5 (and probably not only MD5).

-- 
Sergei Golovan



Information forwarded to debian-bugs-dist@lists.debian.org, Erlang Packagers <erlang-pkg-devel@lists.berlios.de>:
Bug#405360; Package erlang. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Erlang Packagers <erlang-pkg-devel@lists.berlios.de>. Full text and rfc822 format available.

Message #15 received at 405360@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: Sergei Golovan <sgolovan@nes.ru>, 405360@bugs.debian.org
Cc: Tollef Fog Heen <tfheen@err.no>
Subject: Re: Bug#405360: erlang: contains non-free files
Date: Wed, 3 Jan 2007 01:30:57 +0000
[Message part 1 (text/plain, inline)]
This one time, at band camp, Sergei Golovan said:
> On 1/3/07, Tollef Fog Heen <tfheen@err.no> wrote:
> >lib/erl_interface/src/misc/md5.c in the erlang source package contains
> >code where no right is given to distribute derivative works.  See
> >http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=340538 for a similar
> >bug with some suggested alternative implementations.
> 
> I've sent email to upstream authors with a question about the license.
> Unfortunately, the email address rsaref@rsa.com, which is mentioned in
> RFC 1321, and which sould be used for questions about RSA referense
> implementations, doesn't work anymore.
> 
> BTW, I suspect that very many sowtware products use this reference
> implementations of MD5 (and probably not only MD5).

Yes, many do.  It's also not immediately clear to me that this is under
a non-free license.  I agree that it could be better worded, but that's
not quite the same thing.

Take care,
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Erlang Packagers <erlang-pkg-devel@lists.berlios.de>:
Bug#405360; Package erlang. Full text and rfc822 format available.

Acknowledgement sent to "Sergei Golovan" <sgolovan@nes.ru>:
Extra info received and forwarded to list. Copy sent to Erlang Packagers <erlang-pkg-devel@lists.berlios.de>. Full text and rfc822 format available.

Message #20 received at 405360@bugs.debian.org (full text, mbox):

From: "Sergei Golovan" <sgolovan@nes.ru>
To: "Stephen Gran" <sgran@debian.org>
Cc: 405360@bugs.debian.org, "Tollef Fog Heen" <tfheen@err.no>
Subject: Re: Bug#405360: erlang: contains non-free files
Date: Wed, 3 Jan 2007 13:29:59 +0300
On 1/3/07, Stephen Gran <sgran@debian.org> wrote:
> Yes, many do.  It's also not immediately clear to me that this is under
> a non-free license.  I agree that it could be better worded, but that's
> not quite the same thing.

Kenneth Lundin has pointed me (in erlang-questions mailing list) to
the following document: http://www.ietf.org/ietf/IPR/RSA-MD-all

It more clearly states that any implementation of the MD2, MD4, and
MD5 algorithms, derived from the reference C code in RFC-1319,
RFC-1320, and RFC-1321 may be distrbuted.

-- 
Sergei Golovan



Information forwarded to debian-bugs-dist@lists.debian.org, Erlang Packagers <erlang-pkg-devel@lists.berlios.de>:
Bug#405360; Package erlang. Full text and rfc822 format available.

Acknowledgement sent to "Torsten Werner" <mail.twerner@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Erlang Packagers <erlang-pkg-devel@lists.berlios.de>. Full text and rfc822 format available.

Message #25 received at 405360@bugs.debian.org (full text, mbox):

From: "Torsten Werner" <mail.twerner@googlemail.com>
To: 405360@bugs.debian.org
Cc: "Debian Bug Tracking System" <control@bugs.debian.org>
Subject: Fwd: [erlang-questions] Non-free files in Erlang/OTP distribution?
Date: Wed, 3 Jan 2007 11:48:28 +0100
severity 405360 important
retitle 405360 erlang: license of RSA derived sources should be documented
thanks

Hi,

I think the explanation is clear enough to lower the severity.

Cheers,
Torsten

---------- Forwarded message ----------
From: Kenneth Lundin <kenneth.lundin@gmail.com>
Date: Jan 3, 2007 10:03 AM
Subject: Re: [erlang-questions] Non-free files in Erlang/OTP distribution?
To: Sergei Golovan <sgolovan@gmail.com>
Cc: erlang-questions@erlang.org, Torsten Werner <mail.twerner@googlemail.com>


Hi,

What about this statement from RSA? (the link below)
I think it clarifies that it is ok to redistribute derivative work
regarding the MD5 Message-Digest Algorithm.

http://www.ietf.org/ietf/IPR/RSA-MD-all

It is written by:
"Linn, John" <jlinn@rsasecurity.com>
February 19, 2000

and begin like this:

The purpose of this memo is to clarify the status of intellectual
property rights asserted by RSA Security Inc. ("RSA") in the MD2, MD4 and
MD5 message-digest algorithms, which are documented in RFC-1319, RFC-1320,
and RFC-1321 respectively.

       Implementations of these message-digest algorithms, including
implementations derived from the reference C code in RFC-1319, RFC-1320, and
RFC-1321, may be made, used, and sold without license from RSA for any
purpose.


It then continues, but I think the above statement is clear enough.
Note, the code distributed with Erlang/OTP is derivative work from the reference
implementation in RFC 1321.

/Regards Kenneth


On 1/2/07, Sergei Golovan <sgolovan@gmail.com> wrote:
> Hi!
>
> I'm packaging Erlang/OTP for Debian GNU/Linux distribution. Today
> there was a bugreport
> (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=405360) concerning a
> license of some files, included in the Erlang/OTP distribution.
>
> The suspicious files are
>
> otp_src_R11B-2/lib/erl_interface/src/misc/eimd5.c
> otp_src_R11B-2/lib/erl_interface/src/misc/eimd5.h
> otp_src_R11B-2/erts/emulator/beam/erl_md5.c
>
> They contain (modified) reference implementation of MD5 digest algorithm.
>
> The included licence states:
>
>  * License is also granted to make and use derivative works provided
>  * that such works are identified as "derived from the RSA Data
>  * Security, Inc. MD5 Message-Digest Algorithm" in all material
>  * mentioning or referencing the derived work.
>
> The problem is that the license doesn't permit redistribution of
> derived works explicitly. Therefore it is considered non-free.
>
> Can you tell me, how do you interpret the license. Don't you think
> that Erlang/OTP distribution can't contain these files, derived from
> RSA code?
>
> Best wishes!
> --
> Sergei Golovan
> _______________________________________________
> erlang-questions mailing list
> erlang-questions@erlang.org
> http://www.erlang.org/mailman/listinfo/erlang-questions
>


-- 
blog: http://twerner.blogspot.com/
homepage: http://www.twerner42.de/



Information forwarded to debian-bugs-dist@lists.debian.org, Erlang Packagers <erlang-pkg-devel@lists.berlios.de>:
Bug#405360; Package erlang. Full text and rfc822 format available.

Acknowledgement sent to Tollef Fog Heen <tfheen@err.no>:
Extra info received and forwarded to list. Copy sent to Erlang Packagers <erlang-pkg-devel@lists.berlios.de>. Full text and rfc822 format available.

Message #30 received at 405360@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@err.no>
To: 405360@bugs.debian.org
Subject: Re: Bug#405360: erlang: contains non-free files
Date: Wed, 03 Jan 2007 11:52:07 +0100
* "Sergei Golovan" 

| On 1/3/07, Stephen Gran <sgran@debian.org> wrote:
| > Yes, many do.  It's also not immediately clear to me that this is under
| > a non-free license.  I agree that it could be better worded, but that's
| > not quite the same thing.
| 
| Kenneth Lundin has pointed me (in erlang-questions mailing list) to
| the following document: http://www.ietf.org/ietf/IPR/RSA-MD-all
| 
| It more clearly states that any implementation of the MD2, MD4, and
| MD5 algorithms, derived from the reference C code in RFC-1319,
| RFC-1320, and RFC-1321 may be distrbuted.

No, it states that you may sell implementations derived from the
reference code.  Note that in the second paragraph it says «may be
made, used, and sold», while in the third (where it restricts what you
may do) it says «no right to use, copy, sell, or distribute» which
seems to imply that you're allowed to sell (but not distribute the
code outside of a sale).

-- 
Tollef Fog Heen                                                        ,''`.
UNIX is user friendly, it's just picky about who its friends are      : :' :
                                                                      `. `' 
                                                                        `-  



Severity set to `important' from `serious' Request was from "Torsten Werner" <mail.twerner@googlemail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "Torsten Werner" <mail.twerner@googlemail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Erlang Packagers <erlang-pkg-devel@lists.berlios.de>:
Bug#405360; Package erlang. Full text and rfc822 format available.

Acknowledgement sent to "Sergei Golovan" <sgolovan@nes.ru>:
Extra info received and forwarded to list. Copy sent to Erlang Packagers <erlang-pkg-devel@lists.berlios.de>. Full text and rfc822 format available.

Message #39 received at 405360@bugs.debian.org (full text, mbox):

From: "Sergei Golovan" <sgolovan@nes.ru>
To: "Tollef Fog Heen" <tfheen@err.no>, 405360@bugs.debian.org
Subject: Re: Bug#405360: erlang: contains non-free files
Date: Wed, 3 Jan 2007 14:48:26 +0300
On 1/3/07, Tollef Fog Heen <tfheen@err.no> wrote:
>
> No, it states that you may sell implementations derived from the
> reference code.  Note that in the second paragraph it says «may be
> made, used, and sold», while in the third (where it restricts what you
> may do) it says «no right to use, copy, sell, or distribute» which
> seems to imply that you're allowed to sell (but not distribute the
> code outside of a sale).

The third paragraph is related to any other implementations, made by RSA.

Citation (word 'other' is highlighted by me):
no right to use, copy, sell, or distribute any *other* implementations
of the MD2, MD4, or MD5 message-digest algorithms created,
implemented, or distributed by RSA is hereby granted by implication,
estoppel, or otherwise.

-- 
Sergei Golovan



Information forwarded to debian-bugs-dist@lists.debian.org, Erlang Packagers <erlang-pkg-devel@lists.berlios.de>:
Bug#405360; Package erlang. Full text and rfc822 format available.

Acknowledgement sent to "Sergei Golovan" <sgolovan@nes.ru>:
Extra info received and forwarded to list. Copy sent to Erlang Packagers <erlang-pkg-devel@lists.berlios.de>. Full text and rfc822 format available.

Message #44 received at 405360@bugs.debian.org (full text, mbox):

From: "Sergei Golovan" <sgolovan@nes.ru>
To: "Tollef Fog Heen" <tfheen@err.no>, 405360@bugs.debian.org
Subject: Re: Bug#405360: erlang: contains non-free files
Date: Wed, 3 Jan 2007 15:27:25 +0300
On 1/3/07, Tollef Fog Heen <tfheen@err.no> wrote:
> No, it states that you may sell implementations derived from the
> reference code.  Note that in the second paragraph it says «may be
> made, used, and sold», while in the third (where it restricts what you
> may do) it says «no right to use, copy, sell, or distribute» which
> seems to imply that you're allowed to sell (but not distribute the
> code outside of a sale).

Moreover, the second paragraph states "may be made, used, and sold
without license from RSA for any purpose". It can be interpreted as
"used for the purpose of distribution", can't it?

-- 
Sergei Golovan



Information stored:
Bug#405360; Package erlang. Full text and rfc822 format available.

Acknowledgement sent to "Torsten Werner" <mail.twerner@googlemail.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #49 received at 405360-quiet@bugs.debian.org (full text, mbox):

From: "Torsten Werner" <mail.twerner@googlemail.com>
To: "Sergei Golovan" <sgolovan@nes.ru>, 405360-quiet@bugs.debian.org
Cc: "Tollef Fog Heen" <tfheen@err.no>
Subject: Re: [Erlang-pkg-devel] Bug#405360: erlang: contains non-free files
Date: Wed, 3 Jan 2007 13:44:13 +0100
On 1/3/07, Sergei Golovan <sgolovan@nes.ru> wrote:
> Moreover, the second paragraph states "may be made, used, and sold
> without license from RSA for any purpose". It can be interpreted as
> "used for the purpose of distribution", can't it?

I am not a lawyer but selling is a form of redistribution, isn't it?

Torsten

-- 
blog: http://twerner.blogspot.com/
homepage: http://www.twerner42.de/



Information forwarded to debian-bugs-dist@lists.debian.org, Erlang Packagers <erlang-pkg-devel@lists.berlios.de>:
Bug#405360; Package erlang. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Erlang Packagers <erlang-pkg-devel@lists.berlios.de>. Full text and rfc822 format available.

Message #54 received at 405360@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: Tollef Fog Heen <tfheen@err.no>, 405360@bugs.debian.org
Subject: Re: Bug#405360: erlang: contains non-free files
Date: Wed, 3 Jan 2007 13:05:17 +0000
[Message part 1 (text/plain, inline)]
This one time, at band camp, Tollef Fog Heen said:
> * "Sergei Golovan" 
> 
> | On 1/3/07, Stephen Gran <sgran@debian.org> wrote:
> | > Yes, many do.  It's also not immediately clear to me that this is under
> | > a non-free license.  I agree that it could be better worded, but that's
> | > not quite the same thing.
> | 
> | Kenneth Lundin has pointed me (in erlang-questions mailing list) to
> | the following document: http://www.ietf.org/ietf/IPR/RSA-MD-all
> | 
> | It more clearly states that any implementation of the MD2, MD4, and
> | MD5 algorithms, derived from the reference C code in RFC-1319,
> | RFC-1320, and RFC-1321 may be distrbuted.
> 
> No, it states that you may sell implementations derived from the
> reference code.  Note that in the second paragraph it says «may be
> made, used, and sold», while in the third (where it restricts what you
> may do) it says «no right to use, copy, sell, or distribute» which
> seems to imply that you're allowed to sell (but not distribute the
> code outside of a sale).

It's a bit unclear to me, but it appears that they are actually
speaking about many works in this paragraph.  The clarification says
that while they grant rights to do '...' with implementations derived
from the reference C code in those RFCs, "no right to use, copy, sell,
or distribute any other implementations ... is hereby granted ... ".

I still think it's fairly clear that if they allow you to "[sell] without
license", they allow distribution.  But I am unsure of the meaning of
the second paragraph - I assume that RSA has several implementations,
and they are trying to say that you have these rights to the reference
implementations, but no rights to the other implementations without
a license from RSA.  Since I don't actually know that to be the case,
though, I would like to hear from someone who does.

Take care,
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#405360; Package erlang. Full text and rfc822 format available.

Acknowledgement sent to Tollef Fog Heen <tfheen@err.no>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #59 received at 405360-quiet@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@err.no>
To: "Torsten Werner" <mail.twerner@googlemail.com>
Cc: "Sergei Golovan" <sgolovan@nes.ru>, 405360-quiet@bugs.debian.org
Subject: Re: [Erlang-pkg-devel] Bug#405360: erlang: contains non-free files
Date: Wed, 03 Jan 2007 15:06:38 +0100
* "Torsten Werner" 

| On 1/3/07, Sergei Golovan <sgolovan@nes.ru> wrote:
| > Moreover, the second paragraph states "may be made, used, and sold
| > without license from RSA for any purpose". It can be interpreted as
| > "used for the purpose of distribution", can't it?
| 
| I am not a lawyer but selling is a form of redistribution, isn't it?

It is, but not all forms of redistribution is a sale.

-- 
Tollef Fog Heen                                                        ,''`.
UNIX is user friendly, it's just picky about who its friends are      : :' :
                                                                      `. `' 
                                                                        `-  



Reply sent to Torsten Werner <twerner@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tollef Fog Heen <tfheen@err.no>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #64 received at 405360-close@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: 405360-close@bugs.debian.org
Subject: Bug#405360: fixed in erlang 1:11.b.3-1
Date: Sun, 18 Mar 2007 15:02:08 +0000
Source: erlang
Source-Version: 1:11.b.3-1

We believe that the bug you reported is fixed in the latest version of
erlang, which is due to be installed in the Debian FTP archive:

erlang-base-hipe_11.b.3-1_i386.deb
  to pool/main/e/erlang/erlang-base-hipe_11.b.3-1_i386.deb
erlang-base_11.b.3-1_i386.deb
  to pool/main/e/erlang/erlang-base_11.b.3-1_i386.deb
erlang-dev_11.b.3-1_i386.deb
  to pool/main/e/erlang/erlang-dev_11.b.3-1_i386.deb
erlang-examples_11.b.3-1_all.deb
  to pool/main/e/erlang/erlang-examples_11.b.3-1_all.deb
erlang-mode_11.b.3-1_all.deb
  to pool/main/e/erlang/erlang-mode_11.b.3-1_all.deb
erlang-nox_11.b.3-1_all.deb
  to pool/main/e/erlang/erlang-nox_11.b.3-1_all.deb
erlang-src_11.b.3-1_all.deb
  to pool/main/e/erlang/erlang-src_11.b.3-1_all.deb
erlang-x11_11.b.3-1_all.deb
  to pool/main/e/erlang/erlang-x11_11.b.3-1_all.deb
erlang_11.b.3-1.diff.gz
  to pool/main/e/erlang/erlang_11.b.3-1.diff.gz
erlang_11.b.3-1.dsc
  to pool/main/e/erlang/erlang_11.b.3-1.dsc
erlang_11.b.3-1_all.deb
  to pool/main/e/erlang/erlang_11.b.3-1_all.deb
erlang_11.b.3.orig.tar.gz
  to pool/main/e/erlang/erlang_11.b.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 405360@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Torsten Werner <twerner@debian.org> (supplier of updated erlang package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 09 Feb 2007 20:44:55 +0300
Source: erlang
Binary: erlang-x11 erlang-base-hipe erlang-base erlang-nox erlang erlang-src erlang-dev erlang-mode erlang-examples
Architecture: source all i386
Version: 1:11.b.3-1
Distribution: experimental
Urgency: low
Maintainer: Erlang Packagers <erlang-pkg-devel@lists.berlios.de>
Changed-By: Torsten Werner <twerner@debian.org>
Description: 
 erlang     - Concurrent, real-time, distributed functional language
 erlang-base - Concurrent, real-time, distributed functional language (virtual m
 erlang-base-hipe - Concurrent, real-time, distributed functional language (HiPE virt
 erlang-dev - Concurrent, real-time, distributed functional language (developme
 erlang-examples - Concurrent, real-time, distributed functional language (applicati
 erlang-mode - Concurrent, real-time, distributed functional language (editing m
 erlang-nox - Concurrent, real-time, distributed functional language (no X11 de
 erlang-src - Concurrent, real-time, distributed functional language (applicati
 erlang-x11 - Concurrent, real-time, distributed functional language (X11 deps)
Closes: 405360 413052
Changes: 
 erlang (1:11.b.3-1) experimental; urgency=low
 .
   * New upstream release.
 .
   [ Torsten Werner ]
   * Change header of erlang-depends(1) man page.
 .
   [ Sergei Golovan ]
   * Fixed FTBFS on m68k architecture.
   * Documented RSA derived code license in debian/copyright
     (closes: #405360).
   * Switched to quilt for patch management
   * Switched to conventional source:Version, binary:Version and
     source:Upstream-Version substvars (thus making porting to sarge
     nontrivial).
   * Added flex build-dependency (it is needed by megaco application).
   * Added autoconf2.13 to Build-Conflicts because if it is present then
     it is used instead of autoconf 2.50 and fails.
   * Fixed clause arrows syntax highlighting in Erlang mode for Emacs
     (closes: #413052).
   * Fixed $' and $" patterns syntax highlighting in Erlang mode for Emacs.
Files: 
 64ffa5485c10fa0609176f89ff838607 880 interpreters optional erlang_11.b.3-1.dsc
 0868bc5a6a9d7775436e8b6f22e5f53a 10343068 interpreters optional erlang_11.b.3.orig.tar.gz
 a23c2309c0cecc3c69324c4367942bef 36159 interpreters optional erlang_11.b.3-1.diff.gz
 5c0dbb30705387ae917e90dd1ffe3ff6 20001358 interpreters optional erlang-nox_11.b.3-1_all.deb
 a1b40fa952ec0f7d96af6b27eed5736e 2344748 interpreters optional erlang-x11_11.b.3-1_all.deb
 3d0dc883a9236d4a7297c10528d9be15 5885940 interpreters optional erlang-src_11.b.3-1_all.deb
 4add9904f20f75d586b5ce836a0ffd55 381996 interpreters optional erlang-examples_11.b.3-1_all.deb
 6aa593a1a2fd08b0644f957f2cc808cb 76924 interpreters optional erlang-mode_11.b.3-1_all.deb
 01867c450fb6eb76da320801b88e8a4d 25522 interpreters optional erlang_11.b.3-1_all.deb
 f9bd0b681a7052d44a44c5f786155ca5 6663208 interpreters optional erlang-base_11.b.3-1_i386.deb
 335b4e8a5a95d1e949ba27eb55c8351e 346162 interpreters optional erlang-dev_11.b.3-1_i386.deb
 502c431b1b2f6fa955b06fbab08c2165 8435256 interpreters optional erlang-base-hipe_11.b.3-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFF/UjrfY3dicTPjsMRAmIoAJ9Md3lSs03sr5CjbdVciKiENCZ8wACfTSyJ
jTnk2oCVgL0uYc8Dx69Rh14=
=BPC7
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 02:45:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:42:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.